Copyright 2019- Andrew Evans
Any use, distribution, redistribution, copying, manipulating, or handling of this software may only be done with the
express permission of the copywrite holder. Freedom of access to this software may change at any stated time unless
stated directly in a written contract. Unauthorized use of this software is prohibited without the express consent of
the author. Derived works shall be considered a part of the original work and are subject to the terms of this license.